Package.describe({
	name: 'wcrisman:jquery-custom-scrollbar',
	version: '3.0.0',
	// Brief, one-line summary of the package.
	summary: 'Simple wrapper for the jquery-mousewheel & malihu-custom-scrollbar-plugin NPM packages.  Users must install the version they want of these two NPM packages for this to work.',
	// URL to the Git repository containing the source code for this package.
	git: '',
	// By default, Meteor will default to using README.md for documentation.
	// To avoid submitting documentation, set this field to null.
	documentation: 'README.md'
});

Package.onUse(function(api) {
	api.versionsFrom('METEOR@0.9.0.1');
	api.versionsFrom('1.5.2.2');
	
	
	//TODO: Figure out how to reference the NPM modules instead of copying out of them into this local atmosphere package!
	api.use('jquery');
  	//api.mainModule('jquery-custom-scrollbar.js');
	api.addFiles('jquery.mousewheel.js', 'client');
	api.addFiles('jquery.mCustomScrollbar.js', 'client');
	api.addFiles('jquery.mCustomScrollbar.css', 'client');
});

//Npm.depends({
//	"jquery-mousewheel": "^3.1.13",
//	"malihu-custom-scrollbar-plugin": "^3.1.5"
//});
